Pepvote Support Center

Get Insights

GET
/voting-events/{idOrCode}/insights

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Response Body

application/json

application/json

curl -X GET "https://example.com/voting-events/string/insights" \  -H "User-Agent: my-app/1.0"
{
  "data": {
    "votingEventId": "string",
    "votes": {
      "total": 0,
      "confirmed": 0,
      "unconfirmed": 0
    },
    "ballots": {
      "started": 0,
      "submitted": 0,
      "active": 0,
      "abandoned": 0,
      "full": 0,
      "partial": 0
    },
    "byChannel": [
      {
        "channel": "string",
        "voteCount": 0
      }
    ],
    "geography": {
      "votesWithCountry": 0,
      "votesFromVpn": 0,
      "votesNotDetectedAsVpn": 0,
      "countries": [
        {
          "countryCode": "string",
          "voteCount": 0,
          "voters": {
            "kind": "exact",
            "count": 0
          }
        }
      ]
    }
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "details": {
      "field": "string",
      "parameter": "string",
      "limit": 0,
      "retryAfterSeconds": 0,
      "feature": "string",
      "plan": "string"
    }
  }
}
Was this helpful?

Last updated September 6, 2026